### File

`packages/eui/packages/components-next/src/lib/components/eui-chip-list/services/eui-chip-list-drag.service.ts`

### Index

###### Properties
Public componentConnector Public droppableArea Public removedFromDroppable
###### Methods
Public removeFromDroppable Public resetConnector Public setComponentConnector Public setDroppableArea

### Methods

Public removeFromDroppable
`removeFromDroppable(item: any | null)`
Parameters :
Name | Type | Optional
item | `any | null` | No
Returns : `void`

Public resetConnector
`resetConnector()`
Returns : `void`

Public setComponentConnector
`setComponentConnector(sourceName: string)`
Parameters :
Name | Type | Optional
sourceName | `string` | No
Returns : `void`

Public setDroppableArea
`setDroppableArea(componentRef: CdkDropList, sourceNames: string[])`
Parameters :
Name | Type | Optional
componentRef | `CdkDropList` | No
sourceNames | `string[]` | No
Returns : `void`

### Properties

Public componentConnector
Type : `CdkDropList[]`
Default value : `[]`

Public droppableArea
Type : `CdkDropList[]`
Default value : `[]`

Public removedFromDroppable
Default value : `new BehaviorSubject(null)`

# result-matching ""

# No results matching ""